[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit '_crw_memo' (#crwlib)

# TUndoHistory

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: _crw_memo.pas line 98

`type TUndoHistory = class(TMasterObject)`
`public`
`procedure MemoOnChange();`
`function StrDiff();`
`class function EvalCheckSum();`
`constructor Create();`
`destructor Destroy; override;`
`property Size: SizeInt; [r]`
`property Errors: QWord; [r]`
`property UndoErrors: QWord; [r]`
`property RedoErrors: QWord; [r]`
`property Utf8Errors: QWord; [r]`
`property FailErrors: QWord; [r]`
`function HasMemo;`
`function CanUndo;`
`function CanRedo;`
`procedure Undo;`
`procedure Redo;`
`procedure PasteText();`
`procedure PasteFromClipboard;`
`procedure ClearSelection();`
`procedure CutToClipboard;`
`procedure Reset;`
`end;`

## Inheritance

`TUndoHistory`
`TMasterObject`
`TObject`